Subject: Re: bug#72343: [PATCH] Fix eglot-server-programs for TeX modes

From: João Távora <[email-masked]>
Date: Tue, 6 Aug 2024 16:34:00 +0100

* lisp/progmodes/eglot.el (eglot-server-programs): Explicitly list modes
derived from tex-mode, so that the correct language id is guessed.

Won't it break when another mode is derived from it?  May I ask why
don't you just use the :language-id cookie which is designed
exactly for this -- to avoid a guess?

João